
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>angular js jquery中post请求的一点小区别 / 憋错料</title>

    <meta name="description" content="angular js jquery中post请求的一点小区别 这也是最近遇到的坑,还是之前那个项目,现在要实现登录功能. 背景:注册功能之前已经跑通了.前端用的是jquery后台是springMVC.鉴于注册和登录有些接口功能是类似的(比如注册确保邮箱是没有注册过,而登录是确保注册过),于是后台还准备用注册的那套接口. 登录的接口get请求是没问题的,但是post却出了问题:后台收不到请求体里的内容. 后来发现是jquery和angular的post行为有些区别,于是我做了个实验. &lt;!DOCTYPE html&gt; &lt;html lang=& ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">angular js jquery中post请求的一点小区别</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>这也是最近遇到的坑，还是之前那个项目，现在要实现登录功能。</p>
<p>背景：注册功能之前已经跑通了。前端用的是jquery后台是springMVC。鉴于注册和登录有些接口功能是类似的（比如注册确保邮箱是没有注册过，而登录是确保注册过），于是后台还准备用注册的那套接口。</p>
<p>登录的接口get请求是没问题的，但是post却出了问题：后台收不到请求体里的内容。</p>
<p>后来发现是jquery和angular的post行为有些区别，于是我做了个实验。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en" ng-app="app"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;Title&lt;/title&gt;
&lt;/head&gt;
&lt;body ng-controller="body"&gt;
&lt;button id="ng-btn" ng-click="sendNgPost()"&gt;ng-btn&lt;/button&gt;
&lt;button id="jq-btn"&gt;jq-btn&lt;/button&gt;
&lt;button id="js-btn"&gt;js-btn&lt;/button&gt;
&lt;/body&gt;
&lt;script src="bower_components/jquery/dist/jquery.js"&gt;&lt;/script&gt;
&lt;script src="bower_components/angular/angular.js"&gt;&lt;/script&gt;
&lt;script&gt;
angular.module(‘app‘,[]).controller(‘body‘,function ($scope,$http) {
    var data={username:‘zhangdongming‘,password:‘123123123‘};
    $scope.sendNgPost=function () {
        $http({
            method:‘POST‘,
            url:‘/fromNg‘,
            data:data
        }).then(function (res) {
            console.log(res);
        })
    };
    $(‘#jq-btn‘).click(function () {
        $.post(‘/fromJq‘,data,function (data) {
            console.log(data);
        })
    });
    function post(sendData) {
        var xhr=new XMLHttpRequest();
        xhr.open(‘post‘,‘/fromJs‘,true);
        xhr.onload=function () {
            console.log(xhr.responseText);
        };
        xhr.send(data);
    }
    var btn=document.querySelector(‘#js-btn‘);
    btn.onclick=function () {
        post(data);
    }
});

&lt;/script&gt;
&lt;/html&gt;</pre>
<p>这段代码的作用就是用angularjs，jquery和js发post请求</p>
<p>服务端是express写的</p>
<pre>var express=require("express");
var mime = require(‘mime‘);
var http = require(‘http‘);
var util = require(‘util‘);
var url = require(‘url‘);
var fs = require(‘fs‘);
var path=require(‘path‘);
var formidable=require(‘formidable‘);
var querystring = require(‘querystring‘);
var bodyParser=require("body-parser");
app=express();
// var data=[
//     {screenName:"zhangdongming",phoneNumber:"15210938964",email:"[email&#160;protected]"}
// ];
app.use(express.static(path.join(__dirname)));
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({extended:false}));
app.get(‘/‘,function (req,res) {
    res.sendfile(path.resolve("client.html"));
});
app.post(‘/fromNg‘,function (req,res) {
    console.log(req.body);
    res.send(‘false‘);
});
app.post(‘/fromJq‘,function (req,res) {
    console.log(req.body);
    res.send(‘false‘);
});
app.post(‘/fromJs‘,function (req,res) {
    console.log(req.body);
    res.send(‘false‘);
});
app.listen(3000);</pre>

<pre>注意，body-parser中间件use我写了两句。好了现在看看这三个请求是什么样子的。这个是angular的<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzg5NjY1OC8yMDE2MDkvODk2NjU4LTIwMTYwOTA5MTcxMjU2Nzg1LTY0MDM4Mzg4LnBuZw==.jpg" />用jquery</pre>
<pre><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzg5NjY1OC8yMDE2MDkvODk2NjU4LTIwMTYwOTA5MTcyODA1NTA0LTI2MTkxMjExMC5wbmc=.jpg" />用js<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzg5NjY1OC8yMDE2MDkvODk2NjU4LTIwMTYwOTA5MTcyOTQ5NzY5LTE4MTk2MDMxMTAucG5n.jpg" /></pre>
<p>注意看Content-Type ng是appliction/json，jq是application/x-www-form-urlencoded，js是text/plain。</p>
<p>而Request Payload中，ng是json字符串，jq经过了序列化，js是个？？？</p>
<p>对于express的body-parse中间件来说，两种格式的都可以，只需要写好对应的use就可以了。</p>
<p>而我们后台的接口写法只能接收urlencoded格式的，json是收不到的。</p>
<p>这种事情自然是前端想办法，很简单，都转成jquery的格式就行了。</p>
<p>具体来讲,对于js来讲，加上两句：</p>
<p>1.换格式config(function ($httpProvider) {</p>
<pre>    $httpProvider.defaults.headers.post[‘Content-Type‘] = ‘application/x-www-form-urlencoded;charset=utf-8‘;})

2.序列化工作就比较简单了，因为用angular一般会默认带上jqeruy，$.param()可以方便的完成这项工作</pre>
<p><em>$http({</em></p>
<pre><em>    method: ‘POST‘,    url: ‘/fromNg‘,    data: $.param(data)}).then(function (res) {    console.log(res);})

</em>以上。</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-14 21:28:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>angular js jquery中post请求的一点小区别的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dDLJg0.html" rel="bookmark">js jQuery中Ajax请求参数转义问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几天在工作的时候,在和移动端做接口的时候发现,前端在传递参数的时候其中有+或者&amp;时候,服务器获得串中+或者&amp;都变成了空格,后台Java程序在解析的时候出错了! 具体代码如下: $(function () { var isPc = !(window.__detect.android||window.__detect.ios||window.__detect.phone), moonCakeNums, moonCakeIdentify= 0, &lt;span style=&quot;col			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgRvZN4.html" rel="bookmark">&lbrack;JS&rsqb;jQuery中attr和prop方法的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相比attr,prop是1.6.1才新出来的,两者从中文意思理解,都是获取/设置属性的方法(attributes和properties).只是,window或document中使用.attr()方法在jQuery1.6之前不能正常运行,因为window和document中不能有attributes.prop应运而生了. 之前看网上对比两者的文章,更是列出一个表来区分什么标签下使用prop,什么标签下使用attr,原谅我是懒惰的人,最害怕要背的东西,所以只有自己想想办法了. 既然我们想知道他们两的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RjWRR0.html" rel="bookmark">Angular和jQuery的ajax请求的差别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近期项目中使用angular,结果发现后台没法获取參数,所以,略微研究了一下两者在发送ajax时的差别. 注意angular和jquery的ajax请求是不同的. 在jquery中,官方文档解释contentType默认是 application/x-www-form-urlencoded; charset=UTF-8 contentType (default: 'application/x-www-form-urlencoded; charset=UTF-8') Type: String Wh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QLWRE3.html" rel="bookmark">Angular和jQuery的ajax请求的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近项目中使用angular,结果发现后台没法获取参数,所以,稍微研究了一下两者在发送ajax时的区别. 注意angular和jquery的ajax请求是不同的. 在jquery中,官方文档解释contentType默认是 application/x-www-form-urlencoded; charset=UTF-8 contentType (default: 'application/x-www-form-urlencoded; charset=UTF-8') Type: String Wh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xapLr3.html" rel="bookmark">jQuery 中 ajax 请求数据应用的一个小demo</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				举一个jquery中ajax的应用小 demo 便于以后的更多项目拓展 ,这里要注意的是保存的文件名和文件图片路径问题 ... ajax01.html &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt; ajax小例子 &lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;!--			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YQQ8r0.html" rel="bookmark">paip&period;提升效率--数据绑定到table原理和流程Angular js  jquery实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				paip.提升效率--数据绑定到table原理和流程Angular js  jquery实现 html #--keyword 1 #---原理和流程 1 #----jq实现的代码 1 #-----Angular 的实现 3 #--keyword jquery 遍历表格tr  td Angular 模板绑定 #---原理和流程 获得所有的行,第一的头行..排除,,,在的所有的删除. 遍历表格tr获得tds的所有的id数组. 根据id/id索引来获得绑定的数据源里面的数据字段..绑定到个td上..			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Z0K5Bm4.html" rel="bookmark">jquery中html 与 text方法的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jquery中html 与 text方法的区别 24 May 2012/in 网站设计和开发 /by Bruce 接鉵jquery的时间并不长,以前都是用直接用js写的,现在发现在jquery这个框架用起来很方便,不但代码量少了,使用也比较简单,对于浏览器的兼容问题也不用担心,在使用的过程中也会遇到一些疑问,在html标签中附加子标签时所用的方法html()与text()的区别. 通常在用jquery写ajax时,都会用到html()这个方法,而不用text()这个方法,他们之间有什么区别呢?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ao9dk4.html" rel="bookmark">jQuery 中的children&lpar;&rpar;和 find&lpar;&rpar; 的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;script type=&quot;text/javascript&quot; src=&quot;/jquery/jquery.js&quot;&gt;&lt;/script&gt; &lt;/head&gt; &lt;body&gt; &lt;ul class=&quot;level-1&quot;&gt; &lt;li class=&quot;item-i&quot;&gt;I&lt;/li&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/1389614.html" rel="bookmark">jQuery中的bind&lpar;&rpar; live&lpar;&rpar; delegate&lpar;&rpar;之间区别分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery中的bind() live() delegate()之间区别分析 首先,你得要了解我们的事件冒泡(事件传播)的概念,我先看一张图 1.bind方式 $('a').bind('click',function (){ alert('click'); }) 解析:这种方式最简单,jq扫描文档找出所有的a,让将函数绑定到每个元素的click事件上 2.live方式 $('a').live('click',function (){ alert('click'); }) 解析:jq将函数绑定到$			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74Q7ae0.html" rel="bookmark" class="title">iOS中几种数据持久化方案</a>
					<div>
						概论 所谓的持久化,就是将数据保存到硬盘中,使得在应用程序或机器重启后可以继续访问之前保存的数据.在iOS开发中,有很多数据持久化的方案,接下来我将尝试着介绍一下5种方案: plist文件(属性列表) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jb1W0.html" rel="bookmark" class="title">git提交过程中遇到的 index&period;lock 问题导致无法提交的解决方法</a>
					<div>
						在提交代码的过程中,可能会遇到下面的问题: fatal: Unable to create 'C:/programLists/zzw-q1/.git/index.lock': File exists. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3q91G3.html" rel="bookmark" class="title">linux 外网ssh通过端口映射访问内网linxu</a>
					<div>
						1,外网ssh通过端口映射访问内网linxu服务器					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVgRPw0.html" rel="bookmark" class="title">checkedListBox</a>
					<div>
						checkedListBox一键删除多个选中items private void button3_Click(object sender, EventArgs e) { for (int i = 0; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmlvGV4.html" rel="bookmark" class="title">CSS 部件</a>
					<div>
						1.导航菜单: [荐]抽屉式菜单 jQuery.mmenu jQuery.mmenu 实现了类似手机上经常使用的抽屉式菜单,效果很好.http://mmenu.frebsite.nl/ 2.jQuer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjoYm0.html" rel="bookmark" class="title">【十】包和访问权限</a>
					<div>
						可以理解为:所谓的包,就是把不同的体系放在不同的文件夹下面.这样就不用担心两个包里面会有相互重名的问题了. java -d . Test.java -d的意思是根据文件中包的名字生成文件夹 .  的意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmA8mnM.html" rel="bookmark" class="title">本地yum源安装GCC</a>
					<div>
						Linux环境下yum源安装GCC 前提条件是有Linux环境的安装盘ISO文件 在Linux系统中创建两个目录,一个是用来存放ISO文件,一个是用来挂载该ISO文件,如下: $mkdir /root ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eymew0.html" rel="bookmark" class="title">bind方法的一些心得</a>
					<div>
						众所周知,改变this指向的一些方法包括call,apply还有bind方法,bing方法是ECMAscript5发布的,所以只能在ie9及以上浏览器支持,既然有了apply和call方法,那为何还要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/498qNW3.html" rel="bookmark" class="title">CCF认证之&mdash;&mdash;相反数</a>
					<div>
						这道题目非常简单! #include&lt;iostream&gt; using namespace std; int main() { int i,j,num[1000],n,count=0; ci ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYV2n0.html" rel="bookmark" class="title">【HDOJ】2150 Pipe</a>
					<div>
						计算几何的基础题目.是时候刷刷计算几何了. 1 /* 2150 */ 2 #include &lt;cstdio&gt; 3 #include &lt;cstring&gt; 4 #include & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5QLk3.html" rel="bookmark" class="title">二进制编码-详细讲解</a>
					<div>
						负数: 原码就是原来的表示方法 反码是除符号位(最高位)外取反 补码=反码+1 以前学习二进制编码时,老师讲了一堆堆的什么原码啊反码啊补码啊xxxx转换啊,还有负数的表示方式啊 总是记不零清,终于从网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZNYxg3.html" rel="bookmark" class="title">centos 配置 samba 与windows共享文件夹</a>
					<div>
						yum install samba/etc/samba/smb.confdirectory mask = 0777 ← 指定新建目录的属性(以下4行) force directory mode = 0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXvGdq3.html" rel="bookmark" class="title">雷军相识求伯君</a>
					<div>
						http://people.pedaily.cn/201602/20160226393726.shtml 从最早期聊起呢,如果说啊!1992年初出茅庐的雷军是一匹千里马的话,那么他的男神求伯君就是慧眼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JdgvD0.html" rel="bookmark" class="title">c&num; 委托 和 事件</a>
					<div>
						当初学C#的时候,没有完全吃透的,只能现在继续了...  欠老账.... http://www.cnblogs.com/chengxingliang/archive/2013/05/21/305191 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41z95kM.html" rel="bookmark" class="title">MySQL MyISAM引擎转换为InnoDB操作记录</a>
					<div>
						进入mysql命令行模式: # mysql -uroot -ppwd 1.查看mysql提供什么存储引擎: mysql&gt; show engines; 2.查看mysql当前提供的默认存储引擎:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZl2E3.html" rel="bookmark" class="title">PHP实现简单计算器</a>
					<div>
						1 &lt;!--简单的计算器--&gt; 2 &lt;!DOCTYPE html&gt; 3 &lt;html&gt; 4 &lt;head&gt; 5 &lt;title&gt;PHP实现简单计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEW2Ey3.html" rel="bookmark" class="title">MFC文件夹以及目录常见操作</a>
					<div>
						CString CCallSchedulingSystemDlg::GetFilePath(void) { HMODULE module = GetModuleHandle(0); char pFil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y1RpO0.html" rel="bookmark" class="title">51nod1052 最大M子段和</a>
					<div>
						dp优化我总是不太熟练.这一次首先我写了O(n4)-&gt;O(n3)-&gt;O(n2).一步步的优化过来.yyl好像用的是单调队列优化dp我看不懂他的代码... O(n4) #include&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGAn8G3.html" rel="bookmark" class="title">Android项目之天气预报 的实现分析</a>
					<div>
						Android项目之天气预报 的实现分析 输入要查询的城市名称,点击查询按钮后,依次出现七天的天气情况.出现时有动画效果 二.实现过程 (一)获取天气预报数据 1.首先搞定天气预报数据来源的问题,提高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPevYa0.html" rel="bookmark" class="title">孤岛能源安卓游戏android源码</a>
					<div>
						孤岛能源是一个以孤岛为背景的模拟动作游戏,游戏中你的角色是 Android 机器人,目的是找到该岛上充满能量的能源造福人类.游戏中,你可以选择按键操作,也可以选择触摸操作.希望你能顺利完成任务. 效果 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
